Subject: Re: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Gerd Möllmann <[email-masked]>
Date: Sat, 27 Aug 2022 07:34:27 +0200

Dmitrii Kuragin <[email-masked]> writes:

> I can reproduce the bug in the following configuration:
> - Large monitor or small font in terminal.
> - Having 2 vertically splitted windows.
> - Enable `display-line-number-mode` on the left pane.
> - Terminal flickers on scrooling on some lines.
>
> The main point is it flickers only when the right pane has a little
> content. If the file contents fits into the whole right window, the it
> doesn't flicker, and it flickers only on the lines which do not have
> content to display. For example,
> --------------------
> |        |         |
> |        |         |
> |        |~        |
> | *|*    |~        |
> |        |~        |
> |        |~        |
> --------------------
>
> "~" is the part where there is no content. When I use the left window
> and scroll on the lines where the right windown doesn't have content,
> the screen flickers. But, as long, as I open some large file in the
> right pange it works as expected w/o any flickering.
>
> I tried to find a possible way to put some content in there, but seems
> like emacs supports frigne only on GUI.
>
> I tried different terminal emulators (iTerm2, Alacritty), in additional
> to w/ and w/o tmux.
>
> The same configuration but with ssh to linux work perfectly well. So, I
> assume, it excudes terminal emulator issues.
>
> I also tried different emacs distributions:
>  - https://emacsformacosx.com/
>  - https://github.com/jimeh/emacs-builds
>  - Some with come homebrew as well.
>
> Do you have any possible ideas where I can look into it?

I tried your recipe here with emacs -Q (Emacs 28.1 from Homebrew) in a
maximaized Terminal.app window, with a font as tiny as I could get (with
Command +/-).  I could not reproduce the flickering.

Does this happen for you with emacs -Q in Terminal?